httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brian Havard" <bri...@kheldar.apana.org.au>
Subject [PATCH] OS/2 build fix
Date Sat, 18 Jul 1998 14:56:04 GMT
This patch fixes or works around all the things you guys have broken for me :) 



Index: helpers/TestCompile
===================================================================
RCS file: /cvs/apache-1.3/src/helpers/TestCompile,v
retrieving revision 1.12
diff -u -w -r1.12 TestCompile
--- TestCompile	1998/07/11 10:24:07	1.12
+++ TestCompile	1998/07/18 14:45:43
@@ -1,6 +1,6 @@
 #!/bin/sh
 exstat=1
-trap 'rm -f Makefile dummy testfunc.c testfunc; exit $exstat' 0 1 2 3 15
+trap 'rm -f Makefile dummy dummy.exe testfunc.c testfunc testfunc.exe; exit $exstat' 0 1
2 3 15
 #
 # Yet another Apache Configure helper script.
 # This script tests certain aspects of the compilation
Index: include/ap_config.h
===================================================================
RCS file: /cvs/apache-1.3/src/include/ap_config.h,v
retrieving revision 1.226
diff -u -w -r1.226 ap_config.h
--- ap_config.h	1998/07/13 12:35:53	1.226
+++ ap_config.h	1998/07/18 14:46:09
@@ -662,6 +662,8 @@
 #define NEED_STRNCASECMP
 #define NO_SETSID
 #define NO_TIMES
+/* ap_config_auto.h gets this wrong, force sys/select.h to be included */
+#define HAVE_SYS_SELECT_H
 #define CASE_BLIND_FILESYSTEM
 /* Add some drive name support */
 #define chdir _chdir2
Index: modules/standard/mod_rewrite.c
===================================================================
RCS file: /cvs/apache-1.3/src/modules/standard/mod_rewrite.c,v
retrieving revision 1.124
diff -u -w -r1.124 mod_rewrite.c
--- mod_rewrite.c	1998/07/12 15:47:39	1.124
+++ mod_rewrite.c	1998/07/18 14:47:32
@@ -3213,7 +3213,7 @@
                      "file %s", conf->rewritelockfile);
         exit(1);
     }
-#ifndef WIN32
+#if !defined(__EMX__) && !defined(WIN32)
     /* make sure the childs have access to this file */
     if (geteuid() == 0 /* is superuser */)
         chown(conf->rewritelockfile, ap_user_id, -1 /* no gid change */);

--
 ______________________________________________________________________________
 |  Brian Havard                 |  "He is not the messiah!                   |
 |  brianh@kheldar.apana.org.au  |  He's a very naughty boy!" - Life of Brian |
 ------------------------------------------------------------------------------


Mime
View raw message